Topic
  • 1 reply
  • Latest Post - ‏2012-10-11T14:39:37Z by Powell
NeilYoung
NeilYoung
1 Post

Pinned topic NPE when I try to install a new InstallationManager Driver

‏2012-10-11T09:48:35Z |
I consistently have problems with IM on my thinkpad (Windows7) - perhaps due to the presence of other eclipse based products. In the past I have been able to get going again with IM by downloading the latest driver over the top of the existing install. Unfortunately that is currently failing. When I drive install.exe, I get a little error dialog pointing me to a log file at C:\ProgramData\IBM\Installation Manager WS_Beta\pluginState\.metadata. The most recent log entry looks like this...

!SESSION 2012-10-11 09:52:56.142
eclipse.buildId=unknown
java.fullversion=JRE 1.6.0 IBM J9 2.4 Windows 7 x86-32 jvmwi3260sr9-20110203_74623 (JIT enabled, AOT enabled)
J9VM - 20110203_074623
JIT - r9_20101028_17488ifx3
GC - 20101027_AA
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_GB
Framework arguments: -toolId install -accessRights admin input @osgi.install.area\install.xml
Command-line arguments: -os win32 -ws win32 -arch x86 -toolId install -accessRights admin input @osgi.install.area\install.xml

!ENTRY com.ibm.cic.common.core 4 0 2012-10-11 09:53:19.339
!MESSAGE Installation Manager 1.6.1 (internal version: 1.6.1000.20120928_2352) is already installed at location "C:\Program Files\IBM\Installation Manager\eclipse" and is using "C:\ProgramData\IBM\Installation Manager WS_Beta" for its data location. Use the installed Installation Manager.

!ENTRY org.eclipse.osgi 2 0 2012-10-11 09:53:19.448
!MESSAGE The following is a complete list of bundles which are not resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-10-11 09:53:19.448
!MESSAGE Bundle com.ibm.cic.agent.core.launcher.macosx_1.0.0.v20120806_1948 29 was not resolved.
!SUBENTRY 2 com.ibm.cic.agent.core.launcher.macosx 2 0 2012-10-11 09:53:19.448
!MESSAGE Platform filter did not match: (osgi.os=macosx)
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-10-11 09:53:19.448
!MESSAGE Bundle org.eclipse.swt.win32.win32.x86_64_3.6.3.v3659d 464 was not resolved.
!SUBENTRY 2 org.eclipse.swt.win32.win32.x86_64 2 0 2012-10-11 09:53:19.448
!MESSAGE Platform filter did not match: (& (osgi.ws=win32) (osgi.os=win32) (osgi.arch=x86_64))
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-10-11 09:53:19.448
!MESSAGE Bundle org.eclipse.ui.cocoa.nl1_1.0.2.v201102251823 466 was not resolved.
!SUBENTRY 2 org.eclipse.ui.cocoa.nl1 2 0 2012-10-11 09:53:19.448
!MESSAGE Platform filter did not match: (osgi.ws=cocoa)
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-10-11 09:53:19.448
!MESSAGE Bundle org.eclipse.ui.cocoa.nl2a_1.0.2.v201104190813 467 was not resolved.
!SUBENTRY 2 org.eclipse.ui.cocoa.nl2a 2 0 2012-10-11 09:53:19.448
!MESSAGE Platform filter did not match: (osgi.ws=cocoa)
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-10-11 09:53:19.448
!MESSAGE Bundle org.eclipse.ui.cocoa.nl2_1.0.2.v201102251823 468 was not resolved.
!SUBENTRY 2 org.eclipse.ui.cocoa.nl2 2 0 2012-10-11 09:53:19.448
!MESSAGE Platform filter did not match: (osgi.ws=cocoa)
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-10-11 09:53:19.448
!MESSAGE Bundle org.eclipse.ui.cocoa.nlBidi_1.0.2.v201102251823 469 was not resolved.
!SUBENTRY 2 org.eclipse.ui.cocoa.nlBidi 2 0 2012-10-11 09:53:19.448
!MESSAGE Platform filter did not match: (osgi.ws=cocoa)
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-10-11 09:53:19.448
!MESSAGE Bundle org.eclipse.ui.cocoa_1.0.2.M20101124-0800 470 was not resolved.
!SUBENTRY 2 org.eclipse.ui.cocoa 2 0 2012-10-11 09:53:19.448
!MESSAGE Platform filter did not match: (osgi.ws=cocoa)
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-10-11 09:53:19.448
!MESSAGE Bundle org.eclipse.update.core.linux_3.2.200.v20100512 496 was not resolved.
!SUBENTRY 2 org.eclipse.update.core.linux 2 0 2012-10-11 09:53:19.448
!MESSAGE Platform filter did not match: (& (osgi.os=linux) (osgi.arch=x86))

!ENTRY org.eclipse.osgi 4 0 2012-10-11 09:53:19.448
!MESSAGE Application error
!STACK 1
java.lang.NullPointerException
at com.ibm.cic.common.ui.internal.dialogs.WrapDetailUIDErrorDialog.create(WrapDetailUIDErrorDialog.java:260)
at org.eclipse.jface.window.Window.open(Window.java:790)
at org.eclipse.jface.dialogs.ErrorDialog.open(ErrorDialog.java:356)
at com.ibm.cic.common.ui.internal.dialogs.WrapDetailUIDErrorDialog.openError(WrapDetailUIDErrorDialog.java:282)
at com.ibm.cic.common.ui.internal.dialogs.WrapDetailUIDErrorDialog.openError(WrapDetailUIDErrorDialog.java:271)
at com.ibm.cic.agent.internal.ui.AgentUIApplication.reportError(AgentUIApplication.java:91)
at com.ibm.cic.agent.internal.ui.AgentUIApplication.launch(AgentUIApplication.java:211)
at com.ibm.cic.agent.internal.ui.AgentUIApplication.start(AgentUIApplication.java:62)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:369)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:60)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:37)
at java.lang.reflect.Method.invoke(Method.java:611)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:620)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:575)
at org.eclipse.equinox.launcher.Main.run(Main.java:1408)

I've tried different levels of driver but get the same output in the log file. That message which says

"!MESSAGE Installation Manager 1.6.1 (internal version: 1.6.1000.20120928_2352) is already installed at location "C:\Program Files\IBM\Installation Manager\eclipse" and is using "C:\ProgramData\IBM\Installation Manager WS_Beta" for its data location. Use the installed Installation Manager."

resulted from an attempt to install an older driver (1.6.0) I'm not sure what to try next.

Any advice would be much appreciated :-)
Updated on 2012-10-11T14:39:37Z at 2012-10-11T14:39:37Z by Powell
  • Powell
    Powell
    51 Posts

    Re: NPE when I try to install a new InstallationManager Driver

    ‏2012-10-11T14:39:37Z  
    The error message is saying that you currently have IM version 1.6.1 installed on your computer and when it was installed with the -datalocation option something like this:

    install.exe -datalocation "C:\ProgramData\IBM\Installation Manager WS_Beta"

    See http://pic.dhe.ibm.com/infocenter/install/v1r6/topic/com.ibm.silentinstall12.doc/topics/r_app_data_loc.html

    Have you tried to use the IM located here: "C:\ProgramData\IBM\Installation Manager WS_Beta\eclipse\IBMIM.exe"